HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   Installation/Configuration (http://www.howtoforge.com/forums/forumdisplay.php?f=4)
-   -   Need help with ATI's graphics driver installer (http://www.howtoforge.com/forums/showthread.php?t=3543)

Wraithfire 6th April 2006 10:52

Need help with ATI's graphics driver installer
 
OK, so I've managed to compile my kernel update (2.6.16.1:D ), but now I'm having trouble installing ATI's graphics driver on my Debian sarge box. I keep getting an error message exactly like what this guy describes. Now I'm not using the same install method as he is, I'm doing this. Not sure what to do at this point; been banging my head against the wall for a few days now, any suggestions? I'd appreciate ANY help I can get :)
Why in the hell can't ATI just release drivers for Debian anyways? sheesh

Wraithfire 6th April 2006 20:44

1 Attachment(s)
not sure if i linked this correctly, but I'm trying to output the error message i get from the ati driver installer

falko 6th April 2006 22:48

What's in /etc/apt/sources.list?

Can you post the error directly to this forum instead of attaching a file? Then it's easier for us. :)

Wraithfire 7th April 2006 08:53

Creating directory fglrx-install
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux
Driver-8.23.7............................................ ..
.................................................. .........
.................................................. .........
.................................................. .........
.................................................. .........
................................................
==================================================
.[31m ATI Technologies Linux Driver Installer/Packager .[0m
==================================================
Generating package: Debian/sarge
/tmp/fglrx /usr/src/fglrx-install
Package build failed!
Package build utility output:
dpkg-buildpackage: source package is fglrx-installer
dpkg-buildpackage: source version is 8.23.7-1
dpkg-buildpackage: source maintainer is ATI Technologies
Inc. <http://www.ati.com/support/driver.html>
dpkg-buildpackage: host architecture is amd64
debian/rules build
dh_testdir
debian/rules binary
dh_testdir
dh_testdir
dh_testroot
dh_clean -k
dh_installdirs
# Create the directories to install into
dh_installdirs -pfglrx-driver \
usr/X11R6 \
usr/X11R6/bin \
usr/X11R6/lib \
usr/X11R6/lib/modules \
usr/share/fglrx/diversions
# the amd64 package includes 32bit compatibility libraries
dh_installdirs -pfglrx-driver \
emul/ia32-linux/usr/X11R6/lib \
emul/ia32-linux/usr/X11R6/lib/modules \
etc/X11/Xsession.d
dh_installdirs -pfglrx-driver-dev \
usr/X11R6 \
usr/X11R6/include \
usr/X11R6/lib \
usr/include
dh_installdirs -pfglrx-kernel-src \
usr/src/modules/fglrx \
usr/src/modules/fglrx/debian
dh_installdirs -A -pfglrx-control-qt3 \
usr/X11R6 \
usr/X11R6/bin \
usr/share \
usr/share/applnk \
usr/share/gnome \
usr/share/icons \
usr/share/pixmaps
dh_installdirs -pfglrx-sources \
usr/src
dh_install
dh_install -pfglrx-driver "usr/X11R6/bin/fgl*"
"usr/X11R6/bin" dh_install -pfglrx-driver
"usr/X11R6/bin/aticonfig" "usr/X11R6/bin" # amd64 needs
some library redirection dh_install -pfglrx-driver
"usr/X11R6/lib64/*.so*" "usr/X11R6/lib" dh_install
-pfglrx-driver "usr/X11R6/lib64/modules/*"
"usr/X11R6/lib/modules" dh_install -pfglrx-driver
"usr/X11R6/lib/*.so*" "emul/ia32-linux/usr/X11R6/lib"
dh_install -pfglrx-driver "usr/X11R6/lib/modules/*"
"emul/ia32-linux/usr/X11R6/lib/modules" dh_install
-pfglrx-driver "debian/70fglrx"
"etc/X11/Xsession.d" dh_install -pfglrx-driver-dev
"usr/X11R6/lib64/*.a" "usr/X11R6/lib" dh_install
-pfglrx-driver-dev "usr/X11R6/include/*"
"usr/X11R6/include" dh_install -pfglrx-driver-dev
"usr/include/*" "usr/include" dh_install
-pfglrx-kernel-src \ lib/modules/fglrx/build_mod/*.c
\
lib/modules/fglrx/build_mod/*.h \
lib/modules/fglrx/build_mod/*.sh \
lib/modules/fglrx/build_mod/lib* \
lib/modules/fglrx/build_mod/2.6.x/Makefile \
usr/src/modules/fglrx
dh_install -pfglrx-kernel-src "debian/changelog"
"usr/src/modules/fglrx/debian" dh_install
-pfglrx-kernel-src \
debian/copyright \
debian/compat \
module/rules \
module/control.template \
module/dirs.template \
module/postinst \
usr/src/modules/fglrx/debian
(cd debian/fglrx-kernel-src/usr/src \
&& chown -R root:src modules \
&& tar -c modules | bzip2 > fglrx.tar.bz2 \
&& rm -rf modules)
# install panel files
dh_install -A -pfglrx-control-qt3
"usr/X11R6/bin/fireglcontrolpanel" "usr/X11R6/bin"
dh_install -A -pfglrx-control-qt3 "usr/share/icons/ati.xpm"
"usr/share/icons" dh_install -A -pfglrx-control-qt3
"usr/share/icons/ati.xpm" "usr/share/pixmaps" dh_install -A
-pfglrx-control-qt3
"usr/share/gnome/apps/fireglcontrol.desktop"
"usr/share/gnome/apps" dh_install -A -pfglrx-control-qt3
"usr/share/applnk/fireglcontrol.kdelnk" "usr/share/applnk"
dh_install -pfglrx-sources "usr/src/*" "usr/src"
dh_installdocs
dh_installdocs -pfglrx-driver usr/share/doc/fglrx/*
#dh_installchangelogs
dh_link
dh_strip
dh_compress
dh_makeshlibs
dh_installdeb
LD_PRELOAD= dh_shlibdeps
dpkg-shlibdeps: warning: could not find path for
libfglrx_gamma.so.1 dpkg-shlibdeps: warning: could not find
path for libfglrx_pp.so.1 /usr/bin/ldd: line 1:
/lib/ld-linux.so.2: No such file or directory ldd:
/lib/ld-linux.so.2 exited with unknown exit code (127)
dpkg-shlibdeps: failure: ldd on
`debian/fglrx-driver/emul/ia32-linux/usr/X11R6/lib/modules/
dri/fglrx_dri.so' gave error exit status 1
dh_shlibdeps: command returned error code 256
make: *** [binary] Error 1
/usr/src/fglrx-install
Removing temporary directory: fglrx-install

Ok finally figured out how to post a file using lynx, this
is the error i get using ati's driver installer. I am
running an amd athlon 64 on Debian 3.1 Sarge with kernel
2.6.16.1 I think the problem has to do with this damn
installer supporting only SUSE and redhat, something I
read somewhere about the installer trying to install 32
libraries on my 64 bit OS. Not sure about that really.

Wraithfire 7th April 2006 08:56

Quote:

Originally Posted by falko
What's in /etc/apt/sources.list?

Can you post the error directly to this forum instead of attaching a file? Then it's easier for us. :)

ok here it is
#deb file:///cdrom/ sarge main

deb http://mirror.espri.arizona.edu/debian-amd64/debian/ stable main
deb-src http://mirror.espri.arizona.edu/debian-amd64/debian/ stable main

deb http://security.debian.org/ stable/updates main
Looks pretty small to me, not sure what else i should add in here. :(

falko 7th April 2006 11:51

What's the output of
Code:

which ldd
and
Code:

ls -la /lib/ld-linux.so.2
?

Wraithfire 7th April 2006 20:20

Quote:

Originally Posted by falko
What's the output of
Code:

which ldd
and
Code:

ls -la /lib/ld-linux.so.2
?

Well
Code:

which ldd
returns /usr/bin/ldd
and
Code:

ls -la /lib/ld-linux.so.2
retruns no such file or directory
:confused:

Wraithfire 7th April 2006 20:36

In my /lib directory, there is an ld-2.3.2.so file and just below it is a link file ld -linux-x86_64.so.2 -> ld-2.3.2.so

falko 8th April 2006 01:40

Please do this:
Code:

apt-get install apt-file
apt-file update
apt-file search ld-linux.so.2

What's the output of the last command?

Wraithfire 8th April 2006 08:16

Code:

apt-get install apt-file
done, no problems there
Code:

apt-file update
returned:
Use of uninitialized value in concatenation (.) or string at /usr/bin/apt-file line 311.
--15:44:57-- http://mirror.espri.arizona.edu/debi...tents-amd64.gz
=> `/var/cache/apt/mirror.espri.arizona.edu_debian-amd64_debian_dists_stable_Contents-amd64.gz'
Resolving mirror.espri.arizona.edu... 150.135.81.231
Connecting to mirror.espri.arizona.edu[150.135.81.231]:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 7,427,750 [application/octet-stream]

0K .......... .......... .......... .......... .......... 0% 210.43 KB/s
50K .......... .......... .......... .......... .......... 1% 514.07 KB/s
100K .......... .......... .......... .......... .......... 2% 626.52 KB/s
150K .......... .......... .......... .......... .......... 2% 769.28 KB/s
200K .......... .......... .......... .......... .......... 3% 781.08 KB/s
blah blah downloading...

15:45:08 (709.93 KB/s) - `/var/cache/apt/mirror.espri.arizona.edu_debian-amd64_debian_dists_stable_Contents-amd64.gz' saved [7427750/7427750]

--15:45:08-- http://security.debian.org//dists/st...tents-amd64.gz
=> `/var/cache/apt/security.debian.org_dists_stable_updates_Contents-amd64.gz'
Resolving security.debian.org... 128.101.240.212, 194.109.137.218
Connecting to security.debian.org[128.101.240.212]:80... connected.
HTTP request sent, awaiting response... 404 Not Found
15:45:08 ERROR 404: Not Found.
and
Code:

apt-file search ld-linux.so.2
returned
ia32-libs: emul/ia32-linux/lib/ld-linux.so.2
ia32-libs: emul/ia32-linux/lib/tls/ld-linux.so.2
ia32-libs: lib/ld-linux.so.2

although ld-linux.so.2 still is not in the /lib directory.
i can't help but wonder if i'd be having this problem if i'd bought an Nvidia video card... :


All times are GMT +2. The time now is 07:16.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.